Bug 528762 - (mozilla-execmem) Thunderbird bug causing an SELinux violation upon composing a message resulting in shutdown
Thunderbird bug causing an SELinux violation upon composing a message resulti...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
12
i386 Linux
low Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: SELinux, Triaged
: 525354 527880 528396 528542 529690 548267 565451 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-13 11:58 EDT by Brian Harrington
Modified: 2010-12-04 02:29 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-04 02:29:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
GDB back trace of the crash (10.44 KB, text/plain)
2009-10-14 05:02 EDT, Stefan Becker
no flags Details

  None (edit)
Description Brian Harrington 2009-10-13 11:58:45 EDT
Description of problem:
When trying to compose, thunderbird shuts down due to an SELinux alert:

type=AVC msg=audit(1254969080.584:29): avc:  denied  { execmem } for  pid=2057 comm="thunderbird-bin" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process

	Was caused by:
	One of the following booleans was set incorrectly.
	Description:
	Allow unconfined executables to make their stack executable.  This should never, ever be necessary. Probably indicates a badly coded executable, but could indicate an attack. This executable should be reported in bugzilla")

	Allow access by executing:
	# setsebool -P allow_execstack 1
	Description:
	Allow unconfined executables to map a memory region as both executable and writable, this is dangerous and the executable should be reported in bugzilla")

	Allow access by executing:
	# setsebool -P allow_execmem 1

Version-Release number of selected component (if applicable):
thunderbird-3.0-3.9.b4.fc12.i686

How reproducible:

Every time.


Steps to Reproduce:
1.  Try to compose a message
2.  ...
3.  Crash


Seriously though, when composing a message the window stays up and running until the cursor is placed in the body of the message.

Thus, if i click "reply" to a message it shuts down immediately (the cursor defaults to being in the body of the message).  If I compose a new message, it's not until I click in the body that thunderbird shuts down.

Actual results:

Thunderbird shuts down due to SELinunx

Expected results:

Thunderbird should not shut down due to SELinunx

Additional info:
[bharrington@kraken ~]$ thunderbird 
/usr/lib/thunderbird-3.0b4/run-mozilla.sh: line 131:  2543 Segmentation fault      "$prog" ${1+"$@"}
Comment 1 Brian Harrington 2009-10-13 14:53:31 EDT
Also:

[bharrington@kraken ~]$ rpm -qa selinux-policy-targeted 
selinux-policy-targeted-3.6.32-24.fc12.noarch
Comment 2 Martin Stransky 2009-10-14 04:42:47 EDT
JIT/SELinux issue...
Comment 3 Stefan Becker 2009-10-14 05:02:30 EDT
Created attachment 364727 [details]
GDB back trace of the crash

I don't know if the GDB backtrace helps.

But at least now I know why I can't write any replace anymore with TB :-[

Is there a better workaround than to allow execmem in SELinux?
Comment 4 Matěj Cepl 2009-10-14 10:11:17 EDT
*** Bug 528542 has been marked as a duplicate of this bug. ***
Comment 5 Martin Stransky 2009-10-15 08:49:06 EDT
We may relax the selinux policy for TB as we did for firefox until upstream approves the double page fix.
Comment 6 Martin Stransky 2009-10-15 08:50:31 EDT
*** Bug 527880 has been marked as a duplicate of this bug. ***
Comment 7 Jan Horak 2009-10-15 09:57:18 EDT
*** Bug 525354 has been marked as a duplicate of this bug. ***
Comment 8 Bug Zapper 2009-11-16 08:37:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Chris Campbell 2010-02-16 08:57:09 EST
*** Bug 565451 has been marked as a duplicate of this bug. ***
Comment 10 Simon 2010-02-25 07:16:04 EST
Is there any solution to this problem that does not create a security risk, please?
Comment 11 Daniel Walsh 2010-02-25 08:53:00 EST
You can either change the context of the thunderbird.bin to run with this priv
by setting it's context to execmem_exec_t.

# semanage fcontext -a -t execmem_exec_t
/usr/lib/thunderbird-3.0/thunderbird-bin
# restorecon -R -v /usr/lib/thunderbird-3.0

Or you can turn on the allow_execmem or allow_execstack booleans.  We have
turned these on as the default in F12 updates and F13.  There is not more
security risk then if you had SELinux disabled.
Comment 12 Matěj Cepl 2010-03-11 11:32:42 EST
*** Bug 529690 has been marked as a duplicate of this bug. ***
Comment 13 Matěj Cepl 2010-03-11 11:51:16 EST
*** Bug 548267 has been marked as a duplicate of this bug. ***
Comment 14 Matěj Cepl 2010-03-11 11:51:26 EST
*** Bug 528396 has been marked as a duplicate of this bug. ***
Comment 15 Matěj Cepl 2010-03-11 11:57:58 EST
somehow related to bug 512845
Comment 16 Bug Zapper 2010-11-04 05:28:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-12-04 02:29:15 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.